Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Dragon Pro Ven 14 has a web extension that is incompatible with Firefox 58.0.2. Are you folks aware of the problem?

  • Akukho zimpendulo
  • 1 inale nkinga
  • 1 view
more options

I am running Windows 10, and use Firefox 58.0.2. I have just reinstalled Dragon Naturally Speaking Professional Version 14. For the first time ever, a box appeared saying that a Dragon Web Extension had to be installed in order for the Dragon program to function with Firefox. I followed the instructions and clicked where directed, but then received a smaller box saying "Dragon Web Extension could not be installed because it is not compatible with Firefox 58.0.2" As usual with this nonsense, having imparted that intelligence, it filed to provide any suggestions or directions for remedying the problem.

Any help or guidance will be very much appreciated. The Nuance/Dragon people have made a fine art of making obtaining an answer to a simple inquiry very complex!